com.corticon.rulesemf.assetmodel

## Interface AssetmodelPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

      public interface AssetmodelPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  See Also:
    `AssetmodelFactory`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `AssetmodelPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AssetmodelPackage` | `eINSTANCE` The singleton instance of the package
    `static java.lang.String` | `eNAME` The package name
    `static java.lang.String` | `eNS_PREFIX` The package namespace name
    `static java.lang.String` | `eNS_URI` The package namespace URI
    `static int` | `RULEFLOW_ASSET` The meta object id for the '`Ruleflow Asset`' class
    `static int` | `RULEFLOW_ASSET__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `RULEFLOW_ASSET__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `RULEFLOW_ASSET__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `RULEFLOW_ASSET__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `RULEFLOW_ASSET__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `RULEFLOW_ASSET__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `RULEFLOW_ASSET__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `RULEFLOW_ASSET__READ_ONLY` The feature id for the 'Read Only' attribute
    `static int` | `RULEFLOW_ASSET__RULEFLOW` The feature id for the 'Ruleflow' containment reference
    `static int` | `RULEFLOW_ASSET__RULEFLOW_VIEW_LIST` The feature id for the 'Ruleflow View List' containment reference list
    `static int` | `RULEFLOW_ASSET__RULESHEET_ASSETS` The feature id for the 'Rulesheet Assets' reference list
    `static int` | `RULEFLOW_ASSET__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `RULEFLOW_ASSET__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `RULEFLOW_ASSET__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `RULEFLOW_ASSET_FEATURE_COUNT` The number of structural features of the 'Ruleflow Asset' class
    `static int` | `RULESHEET_ASSET` The meta object id for the '`Rulesheet Asset`' class
    `static int` | `RULESHEET_ASSET__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `RULESHEET_ASSET__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `RULESHEET_ASSET__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `RULESHEET_ASSET__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `RULESHEET_ASSET__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `RULESHEET_ASSET__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `RULESHEET_ASSET__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `RULESHEET_ASSET__READ_ONLY` The feature id for the 'Read Only' attribute
    `static int` | `RULESHEET_ASSET__RULESET` The feature id for the 'Ruleset' containment reference
    `static int` | `RULESHEET_ASSET__RULESHEET_VIEW_LIST` The feature id for the 'Rulesheet View List' containment reference list
    `static int` | `RULESHEET_ASSET__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `RULESHEET_ASSET__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `RULESHEET_ASSET__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `RULESHEET_ASSET_FEATURE_COUNT` The number of structural features of the 'Rulesheet Asset' class
    `static int` | `RULETEST_ASSET` The meta object id for the '`Ruletest Asset`' class
    `static int` | `RULETEST_ASSET__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `RULETEST_ASSET__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `RULETEST_ASSET__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `RULETEST_ASSET__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `RULETEST_ASSET__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `RULETEST_ASSET__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `RULETEST_ASSET__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `RULETEST_ASSET__READ_ONLY` The feature id for the 'Read Only' attribute
    `static int` | `RULETEST_ASSET__RULETEST` The feature id for the 'Ruletest' containment reference
    `static int` | `RULETEST_ASSET__RULETEST_VIEW_LIST` The feature id for the 'Ruletest View List' containment reference list
    `static int` | `RULETEST_ASSET__TESTSHEET_ASSETS` The feature id for the 'Testsheet Assets' containment reference list
    `static int` | `RULETEST_ASSET__TESTSHEET_INDEX` The feature id for the 'Testsheet Index' attribute
    `static int` | `RULETEST_ASSET__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `RULETEST_ASSET__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `RULETEST_ASSET__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `RULETEST_ASSET_FEATURE_COUNT` The number of structural features of the 'Ruletest Asset' class
    `static int` | `TESTSHEET_ASSET` The meta object id for the '`Testsheet Asset`' class
    `static int` | `TESTSHEET_ASSET__BUILD_NUMBER` The feature id for the 'Build Number' attribute
    `static int` | `TESTSHEET_ASSET__EXTERNAL_CHECKSUM` The feature id for the 'External Checksum' attribute
    `static int` | `TESTSHEET_ASSET__LANGUAGE_CODE` The feature id for the 'Language Code' attribute list
    `static int` | `TESTSHEET_ASSET__MAJOR_SERVICE_NUMBER` The feature id for the 'Major Service Number' attribute
    `static int` | `TESTSHEET_ASSET__MAJOR_VERSION_NUMBER` The feature id for the 'Major Version Number' attribute
    `static int` | `TESTSHEET_ASSET__MINOR_SERVICE_NUMBER` The feature id for the 'Minor Service Number' attribute
    `static int` | `TESTSHEET_ASSET__MINOR_VERSION_NUMBER` The feature id for the 'Minor Version Number' attribute
    `static int` | `TESTSHEET_ASSET__READ_ONLY` The feature id for the 'Read Only' attribute
    `static int` | `TESTSHEET_ASSET__TESTSHEET` The feature id for the 'Testsheet' containment reference
    `static int` | `TESTSHEET_ASSET__TESTSHEET_VIEW_LIST` The feature id for the 'Testsheet View List' containment reference list
    `static int` | `TESTSHEET_ASSET__UPDATE_STAMP` The feature id for the 'Update Stamp' attribute
    `static int` | `TESTSHEET_ASSET__VALIDATION_MESSAGES` The feature id for the 'Validation Messages' containment reference list
    `static int` | `TESTSHEET_ASSET__VALIDATION_REQUEST` The feature id for the 'Validation Request' attribute
    `static int` | `TESTSHEET_ASSET_FEATURE_COUNT` The number of structural features of the 'Testsheet Asset' class

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AssetmodelFactory` | `getAssetmodelFactory()` Returns the factory that creates the instances of the model
    `org.eclipse.emf.ecore.EReference` | `getRuleflowAsset_Ruleflow()` Returns the meta object for the containment reference '`Ruleflow`'
    `org.eclipse.emf.ecore.EReference` | `getRuleflowAsset_RuleflowViewList()` Returns the meta object for the containment reference list '`Ruleflow View List`'
    `org.eclipse.emf.ecore.EReference` | `getRuleflowAsset_RulesheetAssets()` Returns the meta object for the reference list '`Rulesheet Assets`'
    `org.eclipse.emf.ecore.EClass` | `getRuleflowAsset()` Returns the meta object for class '`Ruleflow Asset`'
    `org.eclipse.emf.ecore.EReference` | `getRulesheetAsset_Ruleset()` Returns the meta object for the containment reference '`Ruleset`'
    `org.eclipse.emf.ecore.EReference` | `getRulesheetAsset_RulesheetViewList()` Returns the meta object for the containment reference list '`Rulesheet View List`'
    `org.eclipse.emf.ecore.EClass` | `getRulesheetAsset()` Returns the meta object for class '`Rulesheet Asset`'
    `org.eclipse.emf.ecore.EReference` | `getRuletestAsset_Ruletest()` Returns the meta object for the containment reference '`Ruletest`'
    `org.eclipse.emf.ecore.EReference` | `getRuletestAsset_RuletestViewList()` Returns the meta object for the containment reference list '`Ruletest View List`'
    `org.eclipse.emf.ecore.EReference` | `getRuletestAsset_TestsheetAssets()` Returns the meta object for the containment reference list '`Testsheet Assets`'
    `org.eclipse.emf.ecore.EAttribute` | `getRuletestAsset_TestsheetIndex()` Returns the meta object for the attribute '`Testsheet Index`'
    `org.eclipse.emf.ecore.EClass` | `getRuletestAsset()` Returns the meta object for class '`Ruletest Asset`'
    `org.eclipse.emf.ecore.EReference` | `getTestsheetAsset_Testsheet()` Returns the meta object for the containment reference '`Testsheet`'
    `org.eclipse.emf.ecore.EReference` | `getTestsheetAsset_TestsheetViewList()` Returns the meta object for the containment reference list '`Testsheet View List`'
    `org.eclipse.emf.ecore.EClass` | `getTestsheetAsset()` Returns the meta object for class '`Testsheet Asset`'

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values

    - #### eINSTANCE

          static final AssetmodelPackage eINSTANCE

      The singleton instance of the package.

    - #### RULEFLOW_ASSET

          static final int RULEFLOW_ASSET

      The meta object id for the '`Ruleflow Asset`' class.
      See Also:
        `RuleflowAssetImpl`, `AssetmodelPackageImpl.getRuleflowAsset()`, Constant Field Values

    - #### RULEFLOW_ASSET__LANGUAGE_CODE

          static final int RULEFLOW_ASSET__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__MAJOR_VERSION_NUMBER

          static final int RULEFLOW_ASSET__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__MINOR_VERSION_NUMBER

          static final int RULEFLOW_ASSET__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__MAJOR_SERVICE_NUMBER

          static final int RULEFLOW_ASSET__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__MINOR_SERVICE_NUMBER

          static final int RULEFLOW_ASSET__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__BUILD_NUMBER

          static final int RULEFLOW_ASSET__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__UPDATE_STAMP

          static final int RULEFLOW_ASSET__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__VALIDATION_REQUEST

          static final int RULEFLOW_ASSET__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__EXTERNAL_CHECKSUM

          static final int RULEFLOW_ASSET__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__READ_ONLY

          static final int RULEFLOW_ASSET__READ_ONLY

      The feature id for the 'Read Only' attribute.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__VALIDATION_MESSAGES

          static final int RULEFLOW_ASSET__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__RULESHEET_ASSETS

          static final int RULEFLOW_ASSET__RULESHEET_ASSETS

      The feature id for the 'Rulesheet Assets' reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__RULEFLOW

          static final int RULEFLOW_ASSET__RULEFLOW

      The feature id for the 'Ruleflow' containment reference.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET__RULEFLOW_VIEW_LIST

          static final int RULEFLOW_ASSET__RULEFLOW_VIEW_LIST

      The feature id for the 'Ruleflow View List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULEFLOW_ASSET_FEATURE_COUNT

          static final int RULEFLOW_ASSET_FEATURE_COUNT

      The number of structural features of the 'Ruleflow Asset' class.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET

          static final int RULESHEET_ASSET

      The meta object id for the '`Rulesheet Asset`' class.
      See Also:
        `RulesheetAssetImpl`, `AssetmodelPackageImpl.getRulesheetAsset()`, Constant Field Values

    - #### RULESHEET_ASSET__LANGUAGE_CODE

          static final int RULESHEET_ASSET__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__MAJOR_VERSION_NUMBER

          static final int RULESHEET_ASSET__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__MINOR_VERSION_NUMBER

          static final int RULESHEET_ASSET__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__MAJOR_SERVICE_NUMBER

          static final int RULESHEET_ASSET__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__MINOR_SERVICE_NUMBER

          static final int RULESHEET_ASSET__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__BUILD_NUMBER

          static final int RULESHEET_ASSET__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__UPDATE_STAMP

          static final int RULESHEET_ASSET__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__VALIDATION_REQUEST

          static final int RULESHEET_ASSET__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__EXTERNAL_CHECKSUM

          static final int RULESHEET_ASSET__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__READ_ONLY

          static final int RULESHEET_ASSET__READ_ONLY

      The feature id for the 'Read Only' attribute.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__VALIDATION_MESSAGES

          static final int RULESHEET_ASSET__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__RULESET

          static final int RULESHEET_ASSET__RULESET

      The feature id for the 'Ruleset' containment reference.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET__RULESHEET_VIEW_LIST

          static final int RULESHEET_ASSET__RULESHEET_VIEW_LIST

      The feature id for the 'Rulesheet View List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULESHEET_ASSET_FEATURE_COUNT

          static final int RULESHEET_ASSET_FEATURE_COUNT

      The number of structural features of the 'Rulesheet Asset' class.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET

          static final int RULETEST_ASSET

      The meta object id for the '`Ruletest Asset`' class.
      See Also:
        `RuletestAssetImpl`, `AssetmodelPackageImpl.getRuletestAsset()`, Constant Field Values

    - #### RULETEST_ASSET__LANGUAGE_CODE

          static final int RULETEST_ASSET__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__MAJOR_VERSION_NUMBER

          static final int RULETEST_ASSET__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__MINOR_VERSION_NUMBER

          static final int RULETEST_ASSET__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__MAJOR_SERVICE_NUMBER

          static final int RULETEST_ASSET__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__MINOR_SERVICE_NUMBER

          static final int RULETEST_ASSET__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__BUILD_NUMBER

          static final int RULETEST_ASSET__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__UPDATE_STAMP

          static final int RULETEST_ASSET__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__VALIDATION_REQUEST

          static final int RULETEST_ASSET__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__EXTERNAL_CHECKSUM

          static final int RULETEST_ASSET__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__READ_ONLY

          static final int RULETEST_ASSET__READ_ONLY

      The feature id for the 'Read Only' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__VALIDATION_MESSAGES

          static final int RULETEST_ASSET__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__TESTSHEET_INDEX

          static final int RULETEST_ASSET__TESTSHEET_INDEX

      The feature id for the 'Testsheet Index' attribute.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__TESTSHEET_ASSETS

          static final int RULETEST_ASSET__TESTSHEET_ASSETS

      The feature id for the 'Testsheet Assets' containment reference list.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__RULETEST

          static final int RULETEST_ASSET__RULETEST

      The feature id for the 'Ruletest' containment reference.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET__RULETEST_VIEW_LIST

          static final int RULETEST_ASSET__RULETEST_VIEW_LIST

      The feature id for the 'Ruletest View List' containment reference list.
      See Also:
        Constant Field Values

    - #### RULETEST_ASSET_FEATURE_COUNT

          static final int RULETEST_ASSET_FEATURE_COUNT

      The number of structural features of the 'Ruletest Asset' class.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET

          static final int TESTSHEET_ASSET

      The meta object id for the '`Testsheet Asset`' class.
      See Also:
        `TestsheetAssetImpl`, `AssetmodelPackageImpl.getTestsheetAsset()`, Constant Field Values

    - #### TESTSHEET_ASSET__LANGUAGE_CODE

          static final int TESTSHEET_ASSET__LANGUAGE_CODE

      The feature id for the 'Language Code' attribute list.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__MAJOR_VERSION_NUMBER

          static final int TESTSHEET_ASSET__MAJOR_VERSION_NUMBER

      The feature id for the 'Major Version Number' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__MINOR_VERSION_NUMBER

          static final int TESTSHEET_ASSET__MINOR_VERSION_NUMBER

      The feature id for the 'Minor Version Number' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__MAJOR_SERVICE_NUMBER

          static final int TESTSHEET_ASSET__MAJOR_SERVICE_NUMBER

      The feature id for the 'Major Service Number' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__MINOR_SERVICE_NUMBER

          static final int TESTSHEET_ASSET__MINOR_SERVICE_NUMBER

      The feature id for the 'Minor Service Number' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__BUILD_NUMBER

          static final int TESTSHEET_ASSET__BUILD_NUMBER

      The feature id for the 'Build Number' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__UPDATE_STAMP

          static final int TESTSHEET_ASSET__UPDATE_STAMP

      The feature id for the 'Update Stamp' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__VALIDATION_REQUEST

          static final int TESTSHEET_ASSET__VALIDATION_REQUEST

      The feature id for the 'Validation Request' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__EXTERNAL_CHECKSUM

          static final int TESTSHEET_ASSET__EXTERNAL_CHECKSUM

      The feature id for the 'External Checksum' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__READ_ONLY

          static final int TESTSHEET_ASSET__READ_ONLY

      The feature id for the 'Read Only' attribute.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__VALIDATION_MESSAGES

          static final int TESTSHEET_ASSET__VALIDATION_MESSAGES

      The feature id for the 'Validation Messages' containment reference list.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__TESTSHEET

          static final int TESTSHEET_ASSET__TESTSHEET

      The feature id for the 'Testsheet' containment reference.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET__TESTSHEET_VIEW_LIST

          static final int TESTSHEET_ASSET__TESTSHEET_VIEW_LIST

      The feature id for the 'Testsheet View List' containment reference list.
      See Also:
        Constant Field Values

    - #### TESTSHEET_ASSET_FEATURE_COUNT

          static final int TESTSHEET_ASSET_FEATURE_COUNT

      The number of structural features of the 'Testsheet Asset' class.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getRuleflowAsset

          org.eclipse.emf.ecore.EClass getRuleflowAsset()

      Returns the meta object for class '`Ruleflow Asset`'.
      Returns:
        the meta object for class 'Ruleflow Asset'.
      See Also:
        `RuleflowAsset`

    - #### getRuleflowAsset_RulesheetAssets

          org.eclipse.emf.ecore.EReference getRuleflowAsset_RulesheetAssets()

      Returns the meta object for the reference list '`Rulesheet Assets`'.
      Returns:
        the meta object for the reference list 'Rulesheet Assets'.
      See Also:
        `RuleflowAsset.getRulesheetAssets()`, `getRuleflowAsset()`

    - #### getRuleflowAsset_Ruleflow

          org.eclipse.emf.ecore.EReference getRuleflowAsset_Ruleflow()

      Returns the meta object for the containment reference '`Ruleflow`'.
      Returns:
        the meta object for the containment reference 'Ruleflow'.
      See Also:
        `RuleflowAsset.getRuleflow()`, `getRuleflowAsset()`

    - #### getRuleflowAsset_RuleflowViewList

          org.eclipse.emf.ecore.EReference getRuleflowAsset_RuleflowViewList()

      Returns the meta object for the containment reference list '`Ruleflow View List`'.
      Returns:
        the meta object for the containment reference list 'Ruleflow View List'.
      See Also:
        `RuleflowAsset.getRuleflowViewList()`, `getRuleflowAsset()`

    - #### getRulesheetAsset

          org.eclipse.emf.ecore.EClass getRulesheetAsset()

      Returns the meta object for class '`Rulesheet Asset`'.
      Returns:
        the meta object for class 'Rulesheet Asset'.
      See Also:
        `RulesheetAsset`

    - #### getRulesheetAsset_Ruleset

          org.eclipse.emf.ecore.EReference getRulesheetAsset_Ruleset()

      Returns the meta object for the containment reference '`Ruleset`'.
      Returns:
        the meta object for the containment reference 'Ruleset'.
      See Also:
        `RulesheetAsset.getRuleset()`, `getRulesheetAsset()`

    - #### getRulesheetAsset_RulesheetViewList

          org.eclipse.emf.ecore.EReference getRulesheetAsset_RulesheetViewList()

      Returns the meta object for the containment reference list '`Rulesheet View List`'.
      Returns:
        the meta object for the containment reference list 'Rulesheet View List'.
      See Also:
        `RulesheetAsset.getRulesheetViewList()`, `getRulesheetAsset()`

    - #### getRuletestAsset

          org.eclipse.emf.ecore.EClass getRuletestAsset()

      Returns the meta object for class '`Ruletest Asset`'.
      Returns:
        the meta object for class 'Ruletest Asset'.
      See Also:
        `RuletestAsset`

    - #### getRuletestAsset_TestsheetIndex

          org.eclipse.emf.ecore.EAttribute getRuletestAsset_TestsheetIndex()

      Returns the meta object for the attribute '`Testsheet Index`'.
      Returns:
        the meta object for the attribute 'Testsheet Index'.
      See Also:
        `RuletestAsset.getTestsheetIndex()`, `getRuletestAsset()`

    - #### getRuletestAsset_TestsheetAssets

          org.eclipse.emf.ecore.EReference getRuletestAsset_TestsheetAssets()

      Returns the meta object for the containment reference list '`Testsheet Assets`'.
      Returns:
        the meta object for the containment reference list 'Testsheet Assets'.
      See Also:
        `RuletestAsset.getTestsheetAssets()`, `getRuletestAsset()`

    - #### getRuletestAsset_Ruletest

          org.eclipse.emf.ecore.EReference getRuletestAsset_Ruletest()

      Returns the meta object for the containment reference '`Ruletest`'.
      Returns:
        the meta object for the containment reference 'Ruletest'.
      See Also:
        `RuletestAsset.getRuletest()`, `getRuletestAsset()`

    - #### getRuletestAsset_RuletestViewList

          org.eclipse.emf.ecore.EReference getRuletestAsset_RuletestViewList()

      Returns the meta object for the containment reference list '`Ruletest View List`'.
      Returns:
        the meta object for the containment reference list 'Ruletest View List'.
      See Also:
        `RuletestAsset.getRuletestViewList()`, `getRuletestAsset()`

    - #### getTestsheetAsset

          org.eclipse.emf.ecore.EClass getTestsheetAsset()

      Returns the meta object for class '`Testsheet Asset`'.
      Returns:
        the meta object for class 'Testsheet Asset'.
      See Also:
        `TestsheetAsset`

    - #### getTestsheetAsset_Testsheet

          org.eclipse.emf.ecore.EReference getTestsheetAsset_Testsheet()

      Returns the meta object for the containment reference '`Testsheet`'.
      Returns:
        the meta object for the containment reference 'Testsheet'.
      See Also:
        `TestsheetAsset.getTestsheet()`, `getTestsheetAsset()`

    - #### getTestsheetAsset_TestsheetViewList

          org.eclipse.emf.ecore.EReference getTestsheetAsset_TestsheetViewList()

      Returns the meta object for the containment reference list '`Testsheet View List`'.
      Returns:
        the meta object for the containment reference list 'Testsheet View List'.
      See Also:
        `TestsheetAsset.getTestsheetViewList()`, `getTestsheetAsset()`

    - #### getAssetmodelFactory

          AssetmodelFactory getAssetmodelFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.